# Get Rollup Keyword Performance

```http
POST https://api.synup.com/api/v4/locations/ranking-analytics-timeline
```

This API allows you to fetch ranking analytics data for multiple locations in your account within a single API call for a specific period. You can also specify the sources you want to filter the results for. The sources include Google maps and Google search.

Source: https://developer.synup.com/api/rankings/get-rollup-keyword-performance

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `fromDate` | string | required | Date from where data has to be fetched |
| `toDate` | string | required | Date till where data has to be fetched |
| `locationIds` | array of string | required | IDs to fetch data |
| `source` | array of string | required | List of sources |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/locations/ranking-analytics-timeline' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '""'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `400` | Bad Request |
| `401` | Unauthorized |
